Package org.apache.commons.math3.optim.linear

# Enum PivotSelectionRule

java.lang.Object
java.lang.Enum<PivotSelectionRule>
org.apache.commons.math3.optim.linear.PivotSelectionRule

All Implemented Interfaces:
  `Serializable`, `Comparable<PivotSelectionRule>`, `java.lang.constant.Constable`, `OptimizationData`

public enum PivotSelectionRule extends Enum<PivotSelectionRule> implements OptimizationData
Pivot selection rule to the use for a Simplex solver.

Since:
  3.3

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLAND`
The first variable with a negative coefficient in the objective function row will be chosen as entering variable.
`DANTZIG`
The classical rule, the variable with the most negative coefficient in the objective function row will be chosen as entering variable.

## Method Summary

Modifier and Type
Method
Description
`static PivotSelectionRule`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PivotSelectionRule[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DANTZIG

public static final PivotSelectionRule DANTZIG
The classical rule, the variable with the most negative coefficient in the objective function row will be chosen as entering variable.

### BLAND

public static final PivotSelectionRule BLAND
The first variable with a negative coefficient in the objective function row will be chosen as entering variable. This rule guarantees to prevent cycles, but may take longer to find an optimal solution.

## Method Details

### values

public static PivotSelectionRule[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PivotSelectionRule valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null